Select a Group in Ruby code instead of using the mouse
-
Hi,
I generate plugin by various parts and then summarize them into one group.
This works very well:mogroup = entities.add_group elements
Now I want to pick this group also right at the end of the plugin via Ruby code. So I not have to select the just created group by using the mouse.
Can anyone help me?
Thank you!
Greeting
Andreas -
Sketchup.active_model.selection.add( mogroup )
http://code.google.com/apis/sketchup/docs/ourdoc/selection.html
-
If you want to clear any previous selection first use...
Sketchup.active_model.selection.clear
then
Sketchup.active_model.selection.add(mogroup)
Advertisement